org.wildfly.swarm.microprofile.jwtauth.deployment.auth.cdi

## Class MPJWTExtension.ClaimIP

- java.lang.Object
- - org.wildfly.swarm.microprofile.jwtauth.deployment.auth.cdi.MPJWTExtension.ClaimIP

- Enclosing class:
    MPJWTExtension

      public static class MPJWTExtension.ClaimIP
      extends Object

  The representation of an @Claim annotated injection site

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClaimIP(Type matchType, Type valueType, boolean isOptional, Claim claim)` Create a ClaimIP from the injection site information

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Claim` | `getClaim()`
    `String` | `getClaimName()`
    `Set<InjectionPoint>` | `getInjectionPoints()`
    `Type` | `getMatchType()`
    `Type` | `getValueType()`
    `boolean` | `isJsonValue()`
    `boolean` | `isNonStandard()`
    `boolean` | `isOptional()`
    `boolean` | `isProviderSite()`
    `void` | `setJsonValue(boolean jsonValue)`
    `void` | `setNonStandard(boolean nonStandard)`
    `void` | `setProviderSite(boolean providerSite)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClaimIP

          public ClaimIP(Type matchType,
                         Type valueType,
                         boolean isOptional,
                         Claim claim)

      Create a ClaimIP from the injection site information
      Parameters:
        `matchType` - - the outer type of the injection site
        `valueType` - - the parameterized type of the injection site
        `isOptional` - - is the injection site an Optional
        `claim` - - the Claim qualifier

  - ### Method Detail

    - #### getMatchType

          public Type getMatchType()

    - #### getClaimName

          public String getClaimName()

    - #### getClaim

          public Claim getClaim()

    - #### getValueType

          public Type getValueType()

    - #### isOptional

          public boolean isOptional()

    - #### isProviderSite

          public boolean isProviderSite()

    - #### setProviderSite

          public void setProviderSite(boolean providerSite)

    - #### isNonStandard

          public boolean isNonStandard()

    - #### setNonStandard

          public void setNonStandard(boolean nonStandard)

    - #### isJsonValue

          public boolean isJsonValue()

    - #### setJsonValue

          public void setJsonValue(boolean jsonValue)

    - #### getInjectionPoints

          public Set<InjectionPoint> getInjectionPoints()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2017 JBoss by Red Hat. All rights reserved.